# Emerald Caas Framework

This repository contains kubernetes manifest files for Caas Framework in emerald project.

## Table of contents
- [Gitlab Agents in the k8so cluster](#gitlab-agents-in-the-k8so-cluster)
  - [Table of contents](#table-of-contents)
  - [Description](#description)
  - [Usage](#usage)
  - [Support](#support)
  - [Roadmap](#roadmap)
  - [Contributing](#contributing)
  - [Authors and acknowledgment](#authors-and-acknowledgment)
  - [License](#license)
  - [Project status](#project-status)

## Description
This repository contains kubernetes manifest files for Caas Framework in emerald project.  
Version: 1.0.6

## Usage
The repository is intended to be used as the Caas Framework deployment mechanism into the k8s cluster. But it can be used to create the kubernetes manifests for the framework and test them manually. This is explained in the [Emerald Caas Framework contribution guide](../../../../../../../emerald/public/contribute).

## CI/CD workflow
The usage of the repo will follow the [Kubernetes documentation](https://docs.gitlab.com/ee/user/clusters/agent/ci_cd_workflow.html) as explained for example in the [CI/CD kubernetes component](../../../../../../../smartdatalab/public/ci-cd-components/kubernetes#supported-authentication-methods).

<p align="center">Using GitLab agents with the CI/CD workflow: when enabled, the template automatically retrieves and uses your Kubernetes cluster configuration (KUBECONFIG env), ⚠ don't forget to set the KUBE_CONTEXT variable (to path/to/agent/project:agent-name) as stated in the documentation.</p>

## Support
If you require support for improving the template add an [issue](../../../-/issues) to the template and contact the [Owners/Maintainers](../-/project_members?sort=access_level_desc) of the repo.

Note: remember to change this section to match the support options for your project.

## Roadmap
No future plans for this project appart from improving the template based on feedback.

## Contributing
In order to contribute to the project, you can [fork](../../../-/forks/new) the repository and create a merge request. The merge request will be reviewed by the project maintainers and if it is accepted it will be merged into the main branch.

## Authors and acknowledgment
This project was developed by [Tecnalia](https://www.tecnalia.com/).

Thanks to:
- [makeareadme.com](https://www.makeareadme.com/#suggestions-for-a-good-readme) for this template.
- [Emerald Project](https://www.emerald-he.eu/) for resources and inspiration.
- [To be Continous](https://to-be-continuous.gitlab.io/doc/) for the CI/CD components.
- [Gitlab CI/CD](https://docs.gitlab.com/ee/ci/) for the CI/CD documentation.

## License
Read the [license file](../../../LICENSE) for more information.

## Project status
The project is in a stable state and is not actively being developed.

